Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicDesktopPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.DesktopPaneUI
                  |
                  +--javax.swing.plaf.basic.BasicDesktopPaneUI

public class BasicDesktopPaneUI
extends DesktopPaneUI

Basic L&F for a desktop.

Inner Class Summary
`protected class` | `BasicDesktopPaneUI.CloseAction`
`protected class` | `BasicDesktopPaneUI.MaximizeAction`
`protected class` | `BasicDesktopPaneUI.MinimizeAction`
`protected class` | `BasicDesktopPaneUI.NavigateAction`
`protected class` | `BasicDesktopPaneUI.OpenAction`

Field Summary
`protected KeyStroke` | `closeKey` Deprecated. As of JDK version 1.3.
`protected JDesktopPane` | `desktop`
`protected DesktopManager` | `desktopManager`
`protected KeyStroke` | `maximizeKey` Deprecated. As of JDK version 1.3.
`protected KeyStroke` | `minimizeKey` Deprecated. As of JDK version 1.3.
`protected KeyStroke` | `navigateKey` Deprecated. As of JDK version 1.3.
`protected KeyStroke` | `navigateKey2` Deprecated. As of JDK version 1.3.

Constructor Summary
`BasicDesktopPaneUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`Dimension` | `getMaximumSize(JComponent c)`
`Dimension` | `getMinimumSize(JComponent c)`
`Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installDefaults()`
`protected void` | `installDesktopManager()`
`protected void` | `installKeyboardActions()`
`void` | `installUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`
`protected void` | `registerKeyboardActions()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallDesktopManager()`
`protected void` | `uninstallKeyboardActions()`
`void` | `uninstallUI(JComponent c)`
`protected void` | `unregisterKeyboardActions()`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### desktop

    protected JDesktopPane desktop

### desktopManager

    protected DesktopManager desktopManager

### minimizeKey

    protected KeyStroke minimizeKey

  Deprecated. As of JDK version 1.3.

  As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

### maximizeKey

    protected KeyStroke maximizeKey

  Deprecated. As of JDK version 1.3.

  As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

### closeKey

    protected KeyStroke closeKey

  Deprecated. As of JDK version 1.3.

  As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

### navigateKey

    protected KeyStroke navigateKey

  Deprecated. As of JDK version 1.3.

  As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

### navigateKey2

    protected KeyStroke navigateKey2

  Deprecated. As of JDK version 1.3.

  As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

Constructor Detail

### BasicDesktopPaneUI

    public BasicDesktopPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `ComponentUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `ComponentUI`

### installDefaults

    protected void installDefaults()

### uninstallDefaults

    protected void uninstallDefaults()

### installDesktopManager

    protected void installDesktopManager()

### uninstallDesktopManager

    protected void uninstallDesktopManager()

### installKeyboardActions

    protected void installKeyboardActions()

### registerKeyboardActions

    protected void registerKeyboardActions()

### unregisterKeyboardActions

    protected void unregisterKeyboardActions()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `ComponentUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `ComponentUI`

### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

  Overrides:
    `getMinimumSize` in class `ComponentUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Overrides:
    `getMaximumSize` in class `ComponentUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.